// =================================================================================================
// Copyright 2011 Twitter, Inc.
// -------------------------------------------------------------------------------------------------
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this work except in compliance with the License.
// You may obtain a copy of the License in the LICENSE file, or at:
//
//  http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// =================================================================================================

package com.linecorp.armeria.common.thrift.text;

import com.fasterxml.jackson.databind.JsonNode;

/**
 * A map parsing context. Just a PairContext that responds to isMapKey
 * depending on whether or not we're parsing the left hand side of a
 * key/value pair.
 *
 * @author Alex Roetter
 */
class MapContext extends PairContext {

    // SUPPRESS CHECKSTYLE JavadocMethod
    protected MapContext(JsonNode json) {
        super(json);
    }

    @Override
    protected boolean isMapKey() {
        return isLhs();
    }
}
